<?php

require_once dirname(__FILE__).'/../lib/countriesGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/countriesGeneratorHelper.class.php';

/**
 * countries actions.
 *
 * @package    classifieds
 * @subpackage countries
 * @author     Sandip Sathavara <sandip.sathavara@gmail.com> 
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */

class countriesActions extends autoCountriesActions
{
  public function executeListAddstate(sfWebRequest $request)
  {
     
     #--- Get Country Id From Query String ---#
     $country_id = $request->getParameter('id');
	 
	 #--- Country Id Is Not Exist In Query String ---#
     $this->forward404If(!$country_id);

     #--- Redirect To State Managment ---#
     $this->redirect( '@states_by_country_id?country_id='.$country_id  );
  }

}
